Debian Bug report logs - #680352
ITP: conquest-dicom-server -- ConQuest DICOM Server

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Thu, 5 Jul 2012 09:33:02 UTC

Owned by: Pablo Lorenzzoni <spectra@debian.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#680352; Package wnpp. (Thu, 05 Jul 2012 09:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 05 Jul 2012 09:33:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: conquest-dicom-server -- ConQuest DICOM Server
Date: Thu, 05 Jul 2012 11:29:00 +0200
Package: wnpp
Severity: wishlist
Owner: Mathieu Malaterre <malat@debian.org>


* Package name    : conquest-dicom-server
  Version         : 1.14.16
  Upstream Author : Lambert Zijp <zijp@nki.nl>
* URL             : http://ingenium.home.xs4all.nl/dicom.html
* License         : BSD,
  Programming Lang: C++
  Description     : ConQuest DICOM Server

 A full featured DICOM server that has been developed based on and heavily
 extending the public domain UCDMC DICOM code. Some possible applications of
 the ConQuest DICOM software are:
  - DICOM training and testing
  - Demonstration and research image archives
  - Image format conversion from a scanner with DICOM network access
  - DICOM image viewing and slide making
  - DICOM image selection, (limited) editing, and splitting and merging of series
  - Advanced automatic image forwarding and (de)compression
  - DICOM caching and archive merging


Work is available in debian-med svn




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 05 Jul 2012 20:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#680352; Package wnpp. (Sat, 18 Aug 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 18 Aug 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 680352@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 680352@bugs.debian.org
Date: Sat, 18 Aug 2012 18:59:59 +0200
[...]
  conquest DICOM server has been rejected from introduction in debian.
Some issues were my fault (I did not respect some debian policies).
I'll share with you the remaining ones:

[...]
- conquest-dicom-server-1.14.16/jpeg_encoder.cpp has different authors and
  different coding style than other source files in that directory. No mention
  of a license. Authors not mentioned in debian/copyright.
[...]
- Cppcheck shows a number of errors, including buffer overruns, mismatched
  new[]/delete, dangerous use of strncpy(). Since this is run as a CGI server,
  these things could be exploited by remote users.

  [./device.cpp:778]: (error) Dangerous usage of 's' (strncpy doesn't
always 0-terminate it)
  [./dgate.cpp:16228]: (error) Uninitialized variable: format
  [./dgate.cpp:5306]: (error) Array 'items[4]' index 4 out of bounds
  [./dgate.cpp:5560]: (error) Uninitialized variable: owned
  [./nkiqrsop.cpp:5406]: (error) Uninitialized variable: buffer
  [./rtc.cxx:608]: (error) Mismatching allocation and deallocation: StringTable
  [./rtc.cxx:673]: (error) Mismatching allocation and deallocation: StringTable
  [./rtc.cxx:774]: (error) Mismatching allocation and deallocation: StringTable
  [buffer.cxx:433]: (error) Mismatching allocation and deallocation: Data
  [device.cpp:247]: (error) Array 'PID[255]' index 255 out of bounds
  [device.cpp:2748]: (error) Array 'PatientID[255]' index 255 out of bounds
  [device.cpp:778]: (error) Dangerous usage of 's' (strncpy doesn't
always 0-terminate it)
  [dgate.cpp:10309]: (error) Possible null pointer dereference:
IPCBlockPtrInstance
  [dgate.cpp:16228]: (error) Uninitialized variable: format
  [dgate.cpp:5306]: (error) Array 'items[4]' index 4 out of bounds
  [dgate.cpp:5560]: (error) Uninitialized variable: owned
  [rtc.cxx:608]: (error) Mismatching allocation and deallocation: StringTable
  [rtc.cxx:673]: (error) Mismatching allocation and deallocation: StringTable
  [rtc.cxx:774]: (error) Mismatching allocation and deallocation: StringTable
[...]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mathieu Malaterre <malat@debian.org>:
Bug#680352; Package wnpp. (Wed, 21 Aug 2013 13:49:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mathieu Malaterre <malat@debian.org>. (Wed, 21 Aug 2013 13:49:15 GMT) Full text and rfc822 format available.

Message #17 received at 680352@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 680352@bugs.debian.org
Cc: control@bugs.debian.org
Subject: conquest-dicom-server: changing back from ITP to RFP
Date: Wed, 21 Aug 2013 15:44:09 +0200
retitle 680352 RFP: conquest-dicom-server -- ConQuest DICOM Server
noowner 680352
tag 680352 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging conquest-dicom-server. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of conquest-dicom-server back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 10 months.

If you are still interested in packaging conquest-dicom-server, please send a mail to
<control@bugs.debian.org> with:

 retitle 680352 ITP: conquest-dicom-server -- ConQuest DICOM Server
 owner 680352 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <680352@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: conquest-dicom-server -- ConQuest DICOM Server' from 'ITP: conquest-dicom-server -- ConQuest DICOM Server' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:52:44 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Mathieu Malaterre <malat@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:52:45 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:52:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#680352; Package wnpp. (Fri, 24 Jan 2014 16:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Lorenzzoni <spectra@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 24 Jan 2014 16:33:09 GMT) Full text and rfc822 format available.

Message #28 received at 680352@bugs.debian.org (full text, mbox):

From: Pablo Lorenzzoni <spectra@debian.org>
To: Mathieu Malaterre <malat@debian.org>
Cc: 680352@bugs.debian.org
Subject: Conquest Dicom Server Packaging
Date: Fri, 24 Jan 2014 14:32:02 -0200
[Message part 1 (text/plain, inline)]
Hello Mathieu,

I am interested in helping conquest-dicom-server packaging.

I've reviewed debian-med svn for the status and compared it with my own
private efforts of doing the same thing and I think we both reached the same
conclusion wrt how to treat the shipped modified versions of libjasper and
libjpeg (static linking) and how to treat the dependencies on liblua5.1 and
libsqlite3 (use the shared library already available in the repository).

I wish to know if there's any uncommitted work and what are the plans for the
package. Also, do you remain interested in the task? How can I help?

Best regards,

Pablo

-- 
Pablo Lorenzzoni (Spectra) <spectra@debian.org>
GnuPG: 0x268A084D at pgp.mit.edu/keyring.debian.org
This message is protected by DoubleROT13 encryption
Attempting to decode it violates the DMCA/WIPO acts
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#680352; Package wnpp. (Fri, 24 Jan 2014 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 24 Jan 2014 16:39:04 GMT) Full text and rfc822 format available.

Message #33 received at 680352@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Pablo Lorenzzoni <spectra@debian.org>
Cc: 680352@bugs.debian.org
Subject: Re: Conquest Dicom Server Packaging
Date: Fri, 24 Jan 2014 17:36:16 +0100
Hi,

On Fri, Jan 24, 2014 at 5:32 PM, Pablo Lorenzzoni <spectra@debian.org> wrote:
> I am interested in helping conquest-dicom-server packaging.
>
> I've reviewed debian-med svn for the status and compared it with my own
> private efforts of doing the same thing and I think we both reached the same
> conclusion wrt how to treat the shipped modified versions of libjasper and
> libjpeg (static linking) and how to treat the dependencies on liblua5.1 and
> libsqlite3 (use the shared library already available in the repository).
>
> I wish to know if there's any uncommitted work and what are the plans for the
> package. Also, do you remain interested in the task? How can I help?

Everything was pushed last time I was interested in it. I moved away
from using it. Feel free to hijack anything you want from debian-med
svn.

Good luck



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#680352; Package wnpp. (Mon, 27 Jan 2014 20:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Lorenzzoni <spectra@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 27 Jan 2014 20:03:10 GMT) Full text and rfc822 format available.

Message #38 received at 680352@bugs.debian.org (full text, mbox):

From: Pablo Lorenzzoni <spectra@debian.org>
To: 680352@bugs.debian.org
Subject: Re: Conquest Dicom Server Packaging
Date: Mon, 27 Jan 2014 18:00:54 -0200
[Message part 1 (text/plain, inline)]
retitle 680352 ITP: conquest-dicom-server -- ConQuest DICOM Server
owner 680352 !
thanks

Hello,

On Fri, Jan 24, 2014 at 05:36:16PM +0100, Mathieu Malaterre wrote:
> Hi,
> 
> On Fri, Jan 24, 2014 at 5:32 PM, Pablo Lorenzzoni <spectra@debian.org> wrote:
> > I am interested in helping conquest-dicom-server packaging.
> >
> > I've reviewed debian-med svn for the status and compared it with my own
> > private efforts of doing the same thing and I think we both reached the same
> > conclusion wrt how to treat the shipped modified versions of libjasper and
> > libjpeg (static linking) and how to treat the dependencies on liblua5.1 and
> > libsqlite3 (use the shared library already available in the repository).
> >
> > I wish to know if there's any uncommitted work and what are the plans for the
> > package. Also, do you remain interested in the task? How can I help?
> 
> Everything was pushed last time I was interested in it. I moved away
> from using it. Feel free to hijack anything you want from debian-med
> svn.
> 
> Good luck

I am taking over the package.

My work is at http://github.com/spectra/conquest-dicom-server with a mirror at
git+ssh://git.debian.org/git/debian-med/conquest-dicom-server.git

For now it compiles, but is still running on 0.0.0.0 and as root :-( My plans
for the package are (mostly) stated in README.Debian were pushed. I intend to
finish this soon so I can focus on those nasty bugs.

Thanks for your work Mathieu...

[]s

Pablo

-- 
Pablo Lorenzzoni (Spectra) <spectra@debian.org>
GnuPG: 0x268A084D at pgp.mit.edu/keyring.debian.org
This message is protected by DoubleROT13 encryption
Attempting to decode it violates the DMCA/WIPO acts
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: conquest-dicom-server -- ConQuest DICOM Server' from 'RFP: conquest-dicom-server -- ConQuest DICOM Server' Request was from Pablo Lorenzzoni <spectra@debian.org> to control@bugs.debian.org. (Mon, 27 Jan 2014 20:12:20 GMT) Full text and rfc822 format available.

Owner recorded as Pablo Lorenzzoni <spectra@debian.org>. Request was from Pablo Lorenzzoni <spectra@debian.org> to control@bugs.debian.org. (Mon, 27 Jan 2014 20:12:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:23:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.